Subject: Re: [PATCH] Documentation/submodule: Fix submodule.<name> -> .<path> typos

From: Jens Lehmann <[email-masked]>
Date: Fri, 28 Mar 2014 17:55:18 +0100

I just noticed that the two patches Junio added to pu have a reworded
commit message I'm perfectly happy with.

Thanks all.

Am 28.03.2014 03:06, schrieb W. Trevor King:
> On Fri, Mar 28, 2014 at 12:15:00AM +0100, Jens Lehmann wrote:
>> Am 27.03.2014 22:06, schrieb W. Trevor King:
>>> The transition from submodule.<path>.* to submodule.<name>.* happened
>>> in 73b0898d (Teach "git submodule add" the --name option, 2012-09-30),
>>> which landed in v1.8.1-rc0 on 2012-12-03.
>>
>> Nope, the distinction between path and name is way older (AFAIK it
>> is there from day one). That was just the point in time where you
>> could choose a different name without editing .gitmodules. And the
>> fact that the name is initialized with the path confused a lot of
>> people.
> 
> Before 73b0898d, cmd_add used:
> 
>   git config -f .gitmodules submodule."$sm_path".path "$sm_path"
> 
> and similar, so I used submodule.<path>.branch in my initial
> documentation of this patch (v5 of that series) [1].  By the final v8
> (which rebased onto the then-current master with 73b0898d), the
> surrounding calls were [2]:
> 
>   git config -f .gitmodules submodule."$sm_name".path "$sm_path"
> 
> but I missed the update to <name> in my rebasing.  I suppose I could
> have used <name> instead of <path> in my initial v5 patch, but I was
> one of the folks confused by the old name == path behavior ;).
> 
>>> This patch is against master, because 23d25e48 hasn't landed in maint
>>> yet.  If you want, I can split this into two patches, one against
>>> maint fixing the b9289227 typo and another against master fixing the
>>> 23d25e48 typo.
>>
>> This fixes the only two usages of 'submodule.<path>.*' in the
>> Documentation I can see in current master.
> 
> Right.  However, this patch won't apply to the maint branch (where
> 23d25e48 hasn't landed).  I'm just saying that we may want to split
> this patch in half and push the fix for b9289227 in a maintenance
> release.  On the other hand, we've survived since 2012 with the
> current docs, so *not* splitting this patch apart works for me too.
> 
> Cheers,
> Trevor
> 
> [1]: http://article.gmane.org/gmane.comp.version-control.git/210763
> [2]: http://article.gmane.org/gmane.comp.version-control.git/211832
>